:root {
  --border-red: #931914;
  --bg-cream: #ede7dd;
  --card-bg: rgba(255, 255, 255, 0.5);
}

* {
  box-sizing: border-box;
}

body {
  margin: 0;
  background: var(--border-red);
  font-family: "OTKairo", Georgia, "Times New Roman", serif;
  display: flex;
  justify-content: center;
  padding: 20px;
  min-height: 100vh;
}

p a {
    color: #931914;
    font-weight: 600;
}

.frame {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  max-width: 1728px;
  background: var(--bg-cream);
  overflow: hidden;
}

.building-bg {
  position: absolute;
  left: 50%;
  top: 0%;
  height: 130%;
  object-fit: cover;
  mix-blend-mode: multiply;
  pointer-events: none;
  transform: translateX(-50%);
  filter:blur(50px);
  opacity:0;
  animation:blurIn 2s forwards;
}

.header {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding:20px 0;
}

.logo-75m {
  height: 80px;
  width:auto;
  margin-bottom:50px;
}

.cards {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.card {
  overflow:hidden;
}

.card a {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 20px 15%;
    text-align: center;
    min-width: 220px;
    min-height: 100px;
    border-top: 1px solid #ccc;
    mix-blend-mode: multiply;
    text-decoration: none;
    transition: .3s;
    animation: slideUp .5s forwards;
    top:100%;
}

.card:last-child a {
    border-bottom: 1px solid #ccc;
}

.card a:hover {
    background: #931914;
    color: white;
}

.card a:hover img {
    filter: invert(1);
    -webkit-filter: invert(1);
}

.card a:hover p {
   color:white;
}

.card:nth-child(2) a{
  animation-delay: .2s;
}
.card:nth-child(3) a{
  animation-delay: .4s;
}

.card a[href="#"] {
    pointer-events: none;
}

/*.card a[href="#"] img {
    filter: blur(2px);
}*/

.card-logo {
  max-width: 160px;
  max-height: 8vh;
  width:auto;
}

.card-text {
  margin: 0;
  font-size: 14px;
  line-height: 1.3;
  color: #000;
  text-align:right;
}

.footer {
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  padding: 20px 0;
  background: linear-gradient(0deg, #ede7dd, transparent);
}

.footer p {
  margin: 0;
  padding:20px;
  max-width: 666px;
  font-size: clamp(10px, 0.81vw, 14px);
  line-height: 1.4;
  color: #000;
  text-align: center;
}


@media only screen and (max-width:480px) {
  .card a {
    flex-direction: column;
    gap: 10px;
  }

  .card-text {
    text-align:center;
  }
  .building-bg {
        opacity: .2 !important;
        left: 110%;
  }
  body {
    padding:10px;
  }
}

@keyframes slideUp {
  from {
    top:100%;
  }
  to {
    top:0;
  }
}

@keyframes blurIn {
  from {
    filter:blur(50px);
    opacity:0;
  }
  to {
    filter:blur(0px);
    opacity:.4;
    }
}


.grain-back {
    background-image: url('assets/grain.png');
    background-repeat: repeat;
    animation: bg-animation .2s infinite;
    visibility: visible;
    background-size: initial
}

@keyframes bg-animation {
    0% {
        background-position: 0,0
    }

    10% {
        background-position: -5% -5%
    }

    20% {
        background-position: -10% 5%
    }

    30% {
        background-position: 5% -10%
    }

    40% {
        background-position: -5% 15%
    }

    50% {
        background-position: -10% 5%
    }

    60% {
        background-position: 15% 0
    }

    70% {
        background-position: 0 10%
    }

    80% {
        background-position: -15% 0
    }

    90% {
        background-position: 10% 5%
    }

    100% {
        background-position: 5% 0
    }
}

@font-face {
  font-family: "OTKairo";
  src: url("fonts/OTKairo-Regular.woff2") format("woff2");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "OTKairo";
  src: url("fonts/OTKairo-Italic.woff2") format("woff2");
  font-weight: 300;
  font-style: italic;
  font-display: swap;
}
